#!/bin/sh
set -e
# notice the / at end in order to load this module
PACKAGE='cached-path-relative'
SEDCMD="s,require\s*[(]\s*'[.][.][^']*'\s*[)],require('$PACKAGE'),g"

tmpdir=$(mktemp -d)
trap 'rm -rf "$tmpdir"' EXIT INT TERM HUP

cp -r test $tmpdir/test
find test/ -maxdepth 1 -name '*.js' -print0 | \
    xargs -0 -n1  \
	  sh -c 'set -e; echo "TESTING: $3"; sed "$1" < "$3" > "$2/$3"' sedtape "$SEDCMD" "$tmpdir"
cd $tmpdir
tap -R spec test
